Loading...
Searching...
No Matches
delivery

A received message. More...

`#include <delivery.hpp>`

Inheritance diagram for delivery:
[legend]
Collaboration diagram for delivery:
[legend]

## Public Member Functions

class receiver | receiver () const
| Return the receiver for this delivery.
void | accept ()
| Settle with ACCEPTED state.
void | reject ()
| Settle with REJECTED state.
void | release ()
| Settle with RELEASED state.
void | modify ()
| Settle with MODIFIED state.
binary | tag () const
| Return the tag for this delivery.
Public Member Functions inherited from transfer
| transfer ()
| Create an empty transfer.
enum state | state () const
| Get the remote state for a delivery.
class session | session () const
| Return the session for this transfer.
class connection | connection () const
| Return the connection for this transfer.
class work_queue & | work_queue () const
| Get the work_queue for the transfer.
class container & | container () const
| Return the container for this transfer.
void | settle ()
| Settle the delivery; informs the remote end.
bool | settled () const
| Return true if the transfer has been settled.

## Additional Inherited Members

Public Types inherited from transfer
enum | state { NONE , RECEIVED , ACCEPTED , REJECTED , RELEASED , MODIFIED }
| Delivery state values. More...

## Detailed Description

A received message.

A delivery attempt can fail. As a result, a particular message may correspond to multiple deliveries.

Examples
  client.cpp, direct_recv.cpp, helloworld.cpp, multithreaded_client.cpp, server.cpp, server_direct.cpp, and simple_recv.cpp.

The documentation for this class was generated from the following file:

- proton/delivery.hpp